function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : String(i); }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { PaperClipOutlined } from '@ant-design/icons';
import { VmIframeModal, VmPopover } from "../../../_components";
import { getVtxToken } from '@vtx/utils';
import { useSetState } from 'ahooks';
import { Button, Popover } from 'antd';
import { useState } from 'react';
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
var PreviewAndDownload = function PreviewAndDownload(_ref) {
  var key = _ref.key,
    data = _ref.data,
    theme = _ref.theme;
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    info = _useState2[0],
    setInfo = _useState2[1];
  var _useSetState = useSetState({
      src: '',
      visible: false,
      title: ''
    }),
    _useSetState2 = _slicedToArray(_useSetState, 2),
    iframeModalInfo = _useSetState2[0],
    setIframeModalInfo = _useSetState2[1];
  var token = getVtxToken('token');
  var onPreview = function onPreview(_ref2) {
    var id = _ref2.id,
      name = _ref2.name;
    var url = "".concat(window.location.origin, "/cloudFile/common/downloadFile?id=").concat(id, "&fullfilename=").concat(id, "-").concat(name.replace(/\s*/g, ''), "&token=").concat(token);
    var base64 = Buffer.from(url).toString('base64');
    setIframeModalInfo({
      src: "".concat(window.location.origin, "/cloud/kkPreview/onlinePreview?url=").concat(base64, "&token=").concat(token),
      title: '文件预览',
      visible: true
    });
  };
  //下载
  var download = function download(obj) {
    window.location.href = "/cloudFile/common/downloadFile?id=".concat(obj.id, "&token=").concat(token);
  };
  var component = /*#__PURE__*/_jsxs("div", {
    children: [/*#__PURE__*/_jsx(Button, {
      size: "small",
      onClick: function onClick() {
        return onPreview(info);
      },
      children: "\u9884\u89C8"
    }), "\xA0\xA0", /*#__PURE__*/_jsx(Button, {
      type: "primary",
      size: "small",
      onClick: function onClick() {
        return download(info);
      },
      children: "\u4E0B\u8F7D"
    })]
  });
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsxs(VmPopover, {
      trigger: "click",
      content: component,
      onClick: function onClick() {
        return setInfo(data);
      },
      children: [/*#__PURE__*/_jsx(PaperClipOutlined, {
        style: {
          color: 'var(--modal-close-color)'
        }
      }), /*#__PURE__*/_jsx("a", {
        children: data.name
      }), /*#__PURE__*/_jsx("br", {})]
    }, key), /*#__PURE__*/_jsx(VmIframeModal, _objectSpread(_objectSpread({}, iframeModalInfo), {}, {
      theme: theme,
      onCancel: function onCancel() {
        return setIframeModalInfo({
          visible: false
        });
      }
    }))]
  });
};
export default PreviewAndDownload;